Has Apple backed me into a corner of infinite regress?
August 23, 2009 2:18 PM   Subscribe

What's up with my itunes/quick-time/OS?? I can't play my music!

So for some reason my iTunes will not open because apparently I need Quicktime 7.3.1 or later. Ok great. So when I attempt to download the new Quicktime from the apple site, it won't let me install it because my OS is too old. I have OS X 10.4.11.

When I click 'update software' and try to get quicktime that way, it says there is an error and it can't download it.

What do I do??? Do I need to buy a new OS? I have a PowerBook G4, if it matters.

Please hope me, metafilter, I'm nothing without iTunes.
posted by Lutoslawski to Computers & Internet (6 answers total)
 
You're downloading Quicktime for Tiger from apple.com/quicktime right?
posted by birdherder at 2:23 PM on August 23, 2009


filehippo should have a version of quicktime that works for you
posted by no bueno at 2:44 PM on August 23, 2009


You're probably looking for This.
posted by raygan at 4:25 PM on August 23, 2009


Yes, I'm trying to download Quicktime for Tiger (embarrassed about how much of a luddite I really am...). Can I not do that if I have OS X?
posted by Lutoslawski at 7:21 PM on August 23, 2009


OS X 10.4 is also called Tiger. You have Tiger. So if you are using the link raygan gave above, that should be fine. Did it work?

You do not need a new OS.
posted by theyexpectresults at 5:27 AM on August 24, 2009


Weird. I had to delete my current Quicktime in order for the new one to download. Thanks everyone.
posted by Lutoslawski at 3:47 PM on September 8, 2009


« Older How do I file a Google Maps bug report?   |   Word 2007 Help Newer »
This thread is closed to new comments.